Docs › API reference › Hosted SDK data
Get hosted SDK document data
Returns the document data for a verification run through the hosted SDK.
This endpoint is for customers using the WebView (mobile or web) implementation. Unlike Get OCR data, it does not need a session ID, which the WebView implementation does not expose.
GET
https://api.screenlyyid.com/api/v1/document/dataHeaders#
| Name | Type | Required | Description |
|---|---|---|---|
x-api-key | string | Yes | Your ScreenlyyID API key |
x-correlation-id | string (uuid) | Yes | Correlation ID for this customer check |
Responses#
| Status | Description |
|---|---|
200 | Successful response |
Response body (200)#
| Field | Type | Required | Description |
|---|---|---|---|
Country | string | No | |
DocumentType | string | No | |
DocumentVisualResults | array of object | No | |
DocumentVisualResults[].Name | string | No | |
DocumentVisualResults[].Value | string | No | |
DocumentVisualResults[].Confidence | string | No | |
DocumentVisualResults[].PageSide | string | No | |
DocumentMrzResults | array of object | No | |
DocumentMrzResults[].Name | string | No | |
DocumentMrzResults[].Value | string | No | |
AvailableImages | array of string | No |
Code samples#
curl --request GET \
--url 'https://api.screenlyyid.com/api/v1/document/data' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'x-correlation-id: YOUR_CORRELATION_ID'const response = await fetch(
"https://api.screenlyyid.com/api/v1/document/data",
{
"method": "GET",
"headers": {
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID"
}
}
);
const result = await response.json();import requests
response = requests.get(
'https://api.screenlyyid.com/api/v1/document/data',
headers={
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID"
}
)
result = response.json()using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
client.DefaultRequestHeaders.Add("x-correlation-id", "YOUR_CORRELATION_ID");
var response = await client.GetAsync("https://api.screenlyyid.com/api/v1/document/data");
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadAsStringAsync();